import { EventEmitter } from "eventemitter3";
import { Container } from "inversify";
import Configuration from "./Configuration";
import Gateway from "./Gateway";
export default abstract class Kernel extends EventEmitter {
    config: Configuration;
    static create(config: Configuration): Promise<Kernel>;
    container: Container;
    private ready;
    constructor(config: Configuration);
    initialize(): Promise<void>;
    addGauge(name: string, help: string, labelNames?: string[]): void;
    gatewaysCall(callback: (gateway: Gateway) => void): void;
}
